AddBlockPrimaryStorage
AddBlockPrimaryStorage
POST
/zstack/v1/primary-storage/blockOperation ID
AddBlockPrimaryStorageSince
4.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramObjectRequiredparam request body object.
vendorNameStringRequiredThe storage vendor name.
metadataStringRequiredThe storage metadata.
urlStringRequiredUnused.
descriptionStringOptional. The detailed description of the Block primary storage.
typeStringOptional. The primary storage type. The type is Block here.
zoneUuidStringRequiredThe zone UUID.
resourceUuidStringOptional. The resource UUID.
paramstructureObjectRequiredparamstructure request body object.
nameStringRequiredThe name of the Block primary storage.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields paramstructureView API
